<?php


	
include('../conexion.php'); 
include ("../funciones/fechas.php"); 
 date_default_timezone_set('America/Costa_Rica');	
 
session_start();

 $usu=$_SESSION['username'];


$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];
$cod = $row["codusu"];


		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

 $numordtmp=$_POST["numordtmp"];
 $numord=$_POST["numordtmp"];
 $detord=strtoupper($_POST["detord"]);
 $dscpro=strtoupper($_POST["dscpro"]);
 $cdgpro=$_POST["cdgpro"];

$fecha=date("Y-m-d");
$cob_iv=$_POST["cob_iv"];
$cdgusu=$cod;

$minimo=0;
$mensaje_minimo= "";

if ($accion=="alta") {

 ////////////////////////////////////////////////////   insert orden en el encabezado /////////////////////////////////


$query_operacion="INSERT INTO orden_compra (codord, fecord,  detord, borrado, cdgpro , dscpro, cdgusu, numord ) VALUES ('', '$fecha',  '$detord', '0' , '$cdgpro','$dscpro','$cdgusu','$numord')";
$mysqli->query($query_operacion);
$codord= $mysqli-> insert_id ;				


	$query_tmp="SELECT * FROM orden_compra_lineas_tmp WHERE codorden='$numordtmp' ORDER BY numlinea ASC";
	if ($resultado = $mysqli->query($query_tmp)) 
	$contador=0;
	$baseimponible=0;
	$subgra=0;
	$baseimpuestos =0;
	$basedescuento=0;
	 while ($fila = $resultado->fetch_assoc()) {
		$numlinea = $fila["numlinea"];
		$codigo = $fila["codigo"];
	 	$dscart = $fila["dscart"];
	 	$cantidad = $fila["cantidad"];
		$preivi = $fila["preivi"];
		$importe = $fila["importe"];
		$impuesto = $fila["impuesto"];
		//$cdgfam = $fila["cdgfam"];
		//$cdglin = $fila["cdglin"];
		$dcto = $fila["dcto"];
		$mondes = $fila["mondes"];
		//$numlinafe = $fila["numlinafe"];
	
	
	if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		 

	
		$sel_insertar="INSERT INTO orden_compra_lineas (codorden,dscart,numlinea,codigo,cantidad,preivi,importe,dcto,mondes,impuesto) VALUES 
		('$codord','$dscart','$numlinea','$codigo','$cantidad','$preivi','$importe','$dcto','$mondes','$impuesto')";

		$mysqli->query($sel_insertar);
		
	
		$sel_minimos = "SELECT exiact,dscart FROM web_1001 where cdgbar='$codigo' ";
		$rs_minimos = $mysqli->query($sel_minimos);
		$row = $rs_minimos->fetch_array();
		$exiact = $row["exiact"];


		if (($exiact  < $exiact ) or ($exiact  <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . $row["dscart"]."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	
	
$sel_act="UPDATE orden_compra SET subtot='$baseimponible', impven='$baseimpuestos', totalorden='$preciototal' WHERE codord='$codord'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nuevo orden ";
	$cabecera2="Transacción satisfactoria";
	
	
	$consulta1 = "DELETE FROM orden_compra_lineas_tmp  WHERE codorden='$numordtmp'";

$mysqli->query($consulta1);
	
		}


?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
    <style type="text/css">
<!--
.Estilo1 {color: #000000}
-->
    </style>
</head>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php";
		}
			
	

function imprimir(codord) {
	window.open("../fpdf/imprimir_orden.php?codord="+codord);
	
		}
		
		function imprimir_media_carta(codord) {
		window.open("../fpdf/imprimir_orden_compra_media_carta.php?codord="+codord);
	
	
		}	
        </script>



	</head>

	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
		location.href="index.php";
		}
		
		//function imprimir(codord) {
		//window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_orden.php?codord="+codord);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		
		//parent.location.href="index.php";
	//	}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<?php 
		

	
echo "<script>";
//echo "imprimir($codord);";
echo "</script>";	



				  
	?>				  
					  
</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				<?php  $codord ?>
				<div id="" align="center">
				<img src="../img/Printer_Icon_128.png" alt="im" width="128" height="128" border="0"  onMouseOver="style.cursor=cursor" title="Imprimir Carta " onClick="imprimir('<?php echo $codord ?>')">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					
					<img src="../img/print-icon (1).png" alt="im" width="128" height="128" border="0"  onMouseOver="style.cursor=cursor" title="Imprimir Media Carta" onClick="imprimir_media_carta('<?php echo $codord ?>')">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>



  <?php
echo "<script>";
//echo "aceptar();";
echo "</script>";	
   ?> 
  
					